import request from "@/scripts/httpRequest";
import qs from "qs";

export const getUsers = () => {
  return request({
    url: "/data/api-u/users/findAllUser",
    method: "get"
  });
};

export const getSysMenus = () => {
  return request({
    url: "/data/api-u/sysmenus/tree",
    method: "get"
  });
};

export const getUserMenus = (query: any) => {
  return request({
    url: "/data/api-u/users/findById",
    method: "post",
    data: qs.stringify(query)
  });
};

export const updataUser = (params: any) => {
  return request({
    url: "/data/api-u/users/saveAuth",
    method: "post",
    data: params
  });
};
